/*
 * Copyright (C) 2022 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.operator.keycloak.user;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

import org.keycloak.representations.idm.UserRepresentation;

public class UserRepresentationTestFactory {

	public static final String USERNAME = KeycloakUserSpecUserTestFactory.USERNAME;
	public static final String FIRSTNAME = KeycloakUserSpecUserTestFactory.FIRSTNAME;
	public static final String LASTNAME = KeycloakUserSpecUserTestFactory.LASTNAME;

	public static final String CLIENT_NAME = "client1";
	public static final String ROLE1 = "role1";

	public static UserRepresentation create() {
		var user = new UserRepresentation();
		user.setUsername(USERNAME);
		user.setFirstName(FIRSTNAME);
		user.setLastName(LASTNAME);
		user.setClientRoles(new HashMap<>(Map.of(CLIENT_NAME, List.of(ROLE1))));

		return user;
	}
}
